Subject: Re: Boilerplate text

From: "TS Glassey" <[email-masked]>
Date: Fri, 1 Aug 2008 07:35:39 -0700

----- Original Message ----- 
From: "Stephan Wenger" <[email-masked]>
To: "Bill Fenner" <[email-masked]>; <[email-masked]>
Sent: Friday, August 01, 2008 12:14 AM
Subject: Re: Boilerplate text

> Hi all.
>
> Personally, I don't care about the presence/absence of "the" in this
> context.
>
> I have another issue, and that relates to citing the author's names in the
> copyright statement.  At this point, we have a restriction of a maximum of
> five co-authors on an I-D/RFC (there may be a few exceptions).  Assume two
> documents with four co-authors are to be merged, which frequently happens 
> in
> practice.  I believe it would be fair to say that we have now eight
> co-authors, jointly owning the work, and each with the right to grant 
> rights
> to the whole work (at least according to my understanding of the joint
> copyright doctrine in the US).

Yes.

>
> Today's normal IETF practice would be to assign a single editor (which 
> would
> be the only person on the author's list), and mention the (other) previous
> co-authors somewhere in the "contributors" list, or in an acknowledgement
> paragraph, or somewhere thereabouts.

The real issue is not the author's but who owns the IPR on the document or 
any claims to it. That MUST be included in the boilerplate. The decision to 
keep IPR out of IETF drafts or filings allows and foster's the idea that 
there are no IPR rights.

>
> Now further assume that the editor (sole author listed on page 1) is not
> willing to grant rights on his own (beyond the boilerplate rights), 
> whereas
> one of the original eight authors is perfectly willing to do so.

That's why the IPR notice is critical.

> Does that
> get us in a situation where our procedures limit the rights of that one
> original co-author, as his name is not listed in the copyright statement?
> If yes, is this going to be a problem in practice?

yes

>
> Personally, I fear the answer is "yes" to both questions.
>
> If it is, the safest solution seems to me to remove the restriction to the
> number of co-authors.  Another solution may be that the folks writing the
> I-D are advised that they can put more names than just the up to five
> authors listed on page 1 of an I-D/RFC into the copyright statement. 
> Bill's
> document may be the right place to do so.

Again the real issue is the inclusion of IPR in the boilerplate therein.

>
> Regards,
> Stephan
>
>
> On 8/1/08 12:17 AM, "Bill Fenner" <[email-masked]> wrote:
>
>> I'm trying to apply the boilerplate text to a 1id-guidelines update.
>> Was the word "the" left off between the copyright year and "IETF
>> Trust" on purpose?  i.e., is "Copyright 2008 IETF Trust and Bill
>> Fenner.  All rights reserved." the intended usage?
>>
>> Here is a new section 3 for 1id-guidelines:
>>
>> 3.  IPR-Related Notices Required in Internet-Drafts
>>
>>    All Internet-Drafts must have the following intellectual property
>>    rights (IPR) and copyright statements on the first page:
>>
>>    "This Internet-Draft is submitted to IETF pursuant to, and in full
>>    conformance with, the provisions of BCP 79.
>>
>>    Copyright [year] IETF Trust and [the listed authors].  All rights
>>    reserved.
>>
>>    This document is subject to BCP 78 and the IETF Trust's Legal
>>    Provisions Relating to IETF Documents.  Please review these documents
>>    carefully, as they describe your rights and restrictions with respect
>>    to this document.
>>
>>    (See Trust Guidance [TrustGuidance] section 6a. and 6c.)
>>
>>    [year] in the copyright statement should be replaced by the year of
>>    publication of the document, and [the listed authors] should be
>>    replaced by the authors of the document.  Normal english list form
>>    should be used, e.g., "IETF Trust and A. Nonymous" but "IETF Trust,
>>    J. Blow and T. Rex".
>>
>>    Any submission which does not include these statements will be
>>    returned to the submitter.  The IETF Secretariat will NOT add this
>>    text.
>>
>>
>> Is "the IETF Trust's Legal Provisions Relating to IETF Documents" the
>> right way to refer to this document?  Should I refer to it that way in
>> the parenthetical comment too instead of my shorthand of "Trust
>> Guidance"?
>>
>> When I was updating section 4 (which talks about the optional
>> restrictions in 6b.) I ran across a minor hiccough -- 3978 allows the
>> 6.b.ii. statement, "This document may not be modified, and derivative
>> works of it may not be created, and it may not be published except as
>> an Internet-Draft.", to be split into two: "This document may not be
>> modified, and derivative works of it may not be created." and "This
>> document may only be posted in an Internet-Draft." are in different
>> sections of 3978.  The section of 3978 that mentions this also
>> mentions optionally giving extra permissions for MIBs/PIBs published
>> with this restriction: "other than to extract section XX as-is for
>> separate use."
>>
>> -incoming only mentions that there are instructions in the Legend
>> Instructions, which I assume are the same as the IETF Trust's Legal
>> Provisions Relating to IETF Documents, so I can't really tell from
>> that whether the wg intentionally removed these options; the trust
>> intentionally removed these options; the trust unintentionally removed
>> these options; or other.
>>
>> Thanks,
>>   Bill
>> _______________________________________________
>> Ipr-wg mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/ipr-wg
>
>
> _______________________________________________
> Ipr-wg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ipr-wg
>
> No virus found in this incoming message.
> Checked by AVG - http://www.avg.com
> Version: 8.0.138 / Virus Database: 270.5.10/1584 - Release Date: 7/31/2008 
> 12:00 PM
>
>
> 

_______________________________________________
Ipr-wg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ipr-wg